<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

class DirectLinkEntryTranslation extends EntryTranslation implements DirectLinkEntryTranslationInterface
{
    protected ?string $url = null;

    protected ?string $label = null;

    public function getUrl(): ?string
    {
        return $this->url;
    }

    public function setUrl(?string $url): DirectLinkEntryTranslationInterface
    {
        $this->url = $url;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(?string $label): DirectLinkEntryTranslationInterface
    {
        $this->label = $label;

        return $this;
    }
}
